$(document).ready(function(){
  $("a.gallery").colorbox();

  $.validator.addMethod('validName', function (value) {
      var result = true;
      var iChars = "!@#$%^&*()+=[]\\\';,./{}|\":<>?";
      for (var i = 0; i < value.length; i++) {
          if (iChars.indexOf(value.charAt(i)) != -1) {
              return false;
          }
      }
      return result;
  }, '');

  var options = { 
    target: "#output",
    url: '/_ajax/online.php',
    timeout: 5000, 
    beforeSubmit: function() {
	$('.overlay').removeClass('hidden');
    },
    success: function() {
        $('#aj_image').load('/_ajax/captcha.php');
        $('.overlay').addClass('hidden');
    }
  };

  $("#form_name").validate({
     submitHandler: function(form) {
  	    $(form).ajaxSubmit(options);
    },  
    focusInvalid: false,
    focusCleanup: true,
    rules: {
      orgname: {
         required: true,
         validName: true,
         minlength: 4,
         maxlength: 25,
      },
      message: {
         required: true,
      },
      fn: {
         required: true,
         validName: true,
         minlength: 4,
         maxlength: 25,
      },
      captcha_word: {
         required: true,
      },        
      phone: {
         required: true,
      },      
      email: {
           required: true,
           email: true
      },
    },
    messages: {
      fn: {
        required: "   ",
        validName: " !@#$%^&*()+=[]\\\';,./{}|\":<>? .",
        minlength: " 4  ",
        maxlength: " 25  ",
      },
      message: {
        required: "  ",
      },
      orgname: {
        required: "  ",
        validName: " !@#$%^&*()+=[]\\\';,./{}|\":<>? .",
        minlength: " 4  ",
        maxlength: " 25  ",
      },
      captcha_word: {
        required: "   ",
      },
      phone: {
        required: "  ",
      },
      email: {
        required: "  ",
        email: "  "
      },
    },
    errorPlacement: function(error, element) {
        error.appendTo( element.parent().parent().find("label[for='" + element.attr("name") + "']").find("span") );
    },

  });
    
    
    
 });